Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Iptstate on Knoppix 6.4.4 - not working

  1. #1
    Junior Member
    Join Date
    Jun 2011
    Posts
    22

    Iptstate on Knoppix 6.4.4 - not working

    Hi Managed to install Iptstate in Debian-Lenny(installed), PuppyLinux(Live CD) and Debian-Squeeze(Live CD) without problem. I am unable to install/use it in Knoppix 6.4.4(Live DVD). The program starts but does not show any connection states. I installed Iptstate in running Live DVD by doing following: 1. sudo su 2. apt-get update 3. apt-get install Iptstate 4. Iptstate Regards. V.Krishn

  2. #2
    Senior Member registered user
    Join Date
    Dec 2009
    Posts
    423
    Late reply. You need to load the conntrack modules prior to using iptstate.

    Code:
       # modprobe nf_conntrack_ipv4
       # modprobe nf_conntrack ipv6
    Bottomline there should be a /proc/net/ip_conntrack there. If not, the required kernel modules have not been loaded.

  3. #3
    Junior Member
    Join Date
    Jun 2011
    Posts
    22
    Quote Originally Posted by kl522 View Post
    Late reply. You need to load the conntrack modules prior to using iptstate.

    Code:
       # modprobe nf_conntrack_ipv4
       # modprobe nf_conntrack ipv6
    Bottomline there should be a /proc/net/ip_conntrack there. If not, the required kernel modules have not been loaded.
    Code:
    root@Microknoppix:~# ll /proc/net/ip_conntrack 
    -r--r----- 1 root root 0 Jul  4 05:05 /proc/net/ip_conntrack
    Though this method works in Squeeze(Live CD) but I am still not able to make it work in Knoppix-6.4.4(DVD).

  4. #4
    Senior Member registered user
    Join Date
    Dec 2009
    Posts
    423
    Quote Originally Posted by vkrishn View Post
    Code:
    root@Microknoppix:~# ll /proc/net/ip_conntrack 
    -r--r----- 1 root root 0 Jul  4 05:05 /proc/net/ip_conntrack
    Though this method works in Squeeze(Live CD) but I am still not able to make it work in Knoppix-6.4.4(DVD).
    There are two possibilities. Either there is something wrong with the version of iptstate loaded, or still there is some other kernel modules not loaded ( load all the netlink and conntrack modules!) . As I don't exactly use Knoppix-6.4.4 and my kernel is custom compiled, I can't have first hand experience on knoppix 6.4.4.

  5. #5
    Senior Member registered user
    Join Date
    Dec 2009
    Posts
    423
    Quote Originally Posted by kl522 View Post
    I can't have first hand experience on knoppix 6.4.4....
    I tried it on knoppix 6.4.4 in a virtual machine and found this problem is a lot more interesting than I originally thought. Yes, basically I can confirm that I could repeat the same problem. More specifically, when I do a 'cat /proc/net/ip_conntrack' this is what I get :-

    Code:
         # cat /proc/net/ip_conntrack
    cat /proc/net/ip_conntrack: no more space on device
    A check on similar error message on the net revealed this post :-

    https://bbs.archlinux.org/viewtopic.php?pid=890384

    Basically it says kernel 2.6.37 is broken in nf_conntrack. I don't know whether to believe it or not, it is a very serious claim, or perhaps it is fixed in the subversion 2.6.37.X, but if this is true, it renders Knoppix 6.4.4 hopeless for any serious networking/iptables/conntrack applications.
    Last edited by kl522; 07-05-2011 at 02:54 AM.

  6. #6
    Junior Member
    Join Date
    Jun 2011
    Posts
    22
    Quote Originally Posted by kl522 View Post
    Basically it says kernel 2.6.37 is broken in nf_conntrack. I don't know whether to believe it or not, it is a very serious claim, or perhaps it is fixed in the subversion 2.6.37.X, but if this is true, it renders Knoppix 6.4.4 hopeless for any serious networking/iptables/conntrack applications.
    Well I am able to get realtime event log by doing:
    Code:
     root@Microknoppix:~# conntrack -E
    Not sure, maybe iptstate is incompatible with knoppix 6.4.4.
    Would try to run on older knoppix version.

  7. #7
    Senior Member registered user
    Join Date
    Dec 2009
    Posts
    423
    There is indeed a kernel bug for 2.6.37. Read this kernel bug report :-

    https://bugzilla.kernel.org/show_bug.cgi?id=28862

    I read in some other posts that kernel version 2.6.37.5 has got this fixed - vaguely - as I am not dwelling into the details.

    Recompiling the kernel is not everybody's cup of tea. Either use a lower kernel version or a newer one. Perhaps consider using Knoppix 6.4.3 or Knoppix 6.5 if you could find it.

    Cheers.

  8. #8
    Junior Member
    Join Date
    Jun 2011
    Posts
    22
    Hope 6.5 gets out for downloading sooner.
    By the way does 6.5 have a newer kernel or new apps addition and app updates only?
    Last edited by vkrishn; 07-07-2011 at 02:40 PM. Reason: spelling

  9. #9
    Moderator Moderator
    Join Date
    Nov 2010
    Location
    Germany/ Dietzenbach
    Posts
    1,124
    ... it seems Knoppix 6.5.1 will have 2.6.39.2

  10. #10
    Senior Member registered user
    Join Date
    Dec 2009
    Posts
    423
    Quote Originally Posted by vkrishn View Post
    Hope 6.5 gets out for downloading sooner.
    It won't happen because 6.5 is packaged with some Linux magazine. But if you look hard enough you might find someone putting it on p2p download.
    By the way does 6.5 have a newer kernel or new apps addition and app updates only?
    I have never tried it but my guess, it is probably using kernel 2.6.38. Eventually one should know how to compile the his own kernel, then one is not held at the mercy of a particular bug of a kernel version. Recently Klaus K released some debian packages to allow one to (slightly more easily) compile kernel 2.6.39 for Knoppix.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •